## GgitTag GgitTag |

## Functions

GgitObject * | ggit_tag_get_target ()
GgitOId * | ggit_tag_get_target_id ()
const gchar * | ggit_tag_get_name ()
GgitSignature * | ggit_tag_get_tagger ()
const gchar * | ggit_tag_get_message ()

## Types and Values

| GgitTag
struct | GgitTagClass

## Object Hierarchy

        GObject
        ╰── GgitObjectFactoryBase
            ╰── GgitNative
                ╰── GgitObject
                    ╰── GgitTag

## Description

## Functions

### ggit_tag_get_target ()

    GgitObject *
    ggit_tag_get_target (GgitTag *tag,
                         GError **error);

Gets the target GgitObject of `tag` .

This method performs a repository lookup for the given object and returns it.

#### Parameters

tag | a GgitTag. |
error | a GError for error reporting, or `NULL`. |

#### Returns

the target GgitObject of the tag or `NULL`.

[transfer full][nullable]

### ggit_tag_get_target_id ()

    GgitOId *
    ggit_tag_get_target_id (GgitTag *tag);

Gets the target GgitOId of `tag` .

#### Parameters

tag | a GgitTag. |

#### Returns

the target GgitOId of the tag or `NULL`.

[transfer full][nullable]

### ggit_tag_get_name ()

    const gchar *
    ggit_tag_get_name (GgitTag *tag);

Gets the name of `tag` .

#### Parameters

tag | a GgitTag. |

#### Returns

the name of the tag or `NULL`.

[transfer none][nullable]

### ggit_tag_get_tagger ()

    GgitSignature *
    ggit_tag_get_tagger (GgitTag *tag);

Get the tagger (author) of `tag` . The returned value must be free with `g_object_unref()`.

#### Parameters

tag | a GgitTag. |

#### Returns

the tagger (author) of the tag or `NULL`.

[transfer full][nullable]

### ggit_tag_get_message ()

    const gchar *
    ggit_tag_get_message (GgitTag *tag);

Gets the message of `tag` .

#### Parameters

tag | a GgitTag. |

#### Returns

the message of the tag or `NULL`.

[transfer none][nullable]

## Types and Values

### GgitTag

    typedef struct _GgitTag GgitTag;

Represents a tag object.

### struct GgitTagClass

    struct GgitTagClass {
    };

The class structure for GgitTagClass.

#### Members